Page MenuHomePhabricator

Payments should only send new contribution tracking messages if something changes
Closed, ResolvedPublic

Description

Payments-wiki currently sends one contribution tracking message on the first page load, and then sends another every time that do_transaction_internal is called. This can result it up to 4 messages for the same donation. We could hash the first message contents and only send a new one if the data changes (like when an invalid or missing amount is corrected).

Event Timeline

Ejegg created this task.May 25 2020, 11:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2020, 11:42 PM
mepps added a subscriber: mepps.Jun 9 2020, 3:34 PM

@jgleeson is there a patch to review for this?

Hey @mepps the patch is here. Not sure why it didn't link up like usual.

It looks like this patch is failing CI due to the 2 earlier patches which are unrelated so I'll rebase this patch over master instead so it can be reviewed easier. I also think I owe this patch a unit test before it gets merged but I can add that as a follow on if you wanna review it first.

Thanks!

Change 604859 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] WIP: Add a test to confirm duplicate ct messages get deflected by our hash check added in 6c9c3cb9abc23619b1d7eef349bc0f467c071da5

https://gerrit.wikimedia.org/r/604859

DStrine closed this task as Resolved.Jun 23 2020, 8:15 PM